import { jsx } from "react/jsx-runtime";
import { UploadIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Upload = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Upload", ...props, children: /* @__PURE__ */ jsx(UploadIcon, { weight: variant }) });
  }
);
Upload.displayName = "Upload";
Object.assign(Upload, { isGdsIcon: true });
export {
  Upload
};
